Asterisk.org: Developer Documentation (28 Oct 2009)

Wed Oct 28 15:49:36 2009

## Asterisk developer's documentation

# dundi_ies Struct Reference

`#include <dundi-parser.h>`

Collaboration diagram for dundi_ies:

[legend]

## Data Fields

int | anscount
struct dundi_answer * | answers [DUNDI_MAX_ANSWERS+1]
char * | called_context
char * | called_number
int | cause
char * | causestr
int | cbypass
int | eid_direct [DUNDI_MAX_STACK+1]
int | eidcount
dundi_eid * | eids [DUNDI_MAX_STACK+1]
struct dundi_encblock * | encblock
int | enclen
unsigned char * | encsharedkey
unsigned char * | encsig
int | expiration
struct dundi_hint * | hint
unsigned long | keycrc32
unsigned char * | pubkey
char * | q_country
char * | q_dept
char * | q_email
char * | q_ipaddr
char * | q_locality
char * | q_org
char * | q_phone
char * | q_stateprov
dundi_eid * | reqeid
int | ttl
int | unknowncmd
int | version

## Detailed Description

Definition at line 21 of file dundi-parser.h.

## Field Documentation

int anscount

Definition at line 30 of file dundi-parser.h.

Referenced by dundi_parse_ies(), dundi_prop_precache(), and handle_command_response().

struct dundi_answer* answers[DUNDI_MAX_ANSWERS+1]`[read]`

Definition at line 28 of file dundi-parser.h.

Referenced by dundi_parse_ies(), dundi_prop_precache(), and handle_command_response().

char* called_context

Definition at line 26 of file dundi-parser.h.

Referenced by dundi_answer_entity(), dundi_answer_query(), dundi_parse_ies(), dundi_prop_precache(), and handle_command_response().

char* called_number

Definition at line 27 of file dundi-parser.h.

Referenced by dundi_answer_query(), dundi_parse_ies(), dundi_prop_precache(), and handle_command_response().

int cause

Definition at line 36 of file dundi-parser.h.

Referenced by dundi_parse_ies(), and handle_command_response().

char* causestr

Definition at line 45 of file dundi-parser.h.

Referenced by dundi_parse_ies().

int cbypass

Definition at line 51 of file dundi-parser.h.

Referenced by dundi_answer_query(), dundi_parse_ies(), and dundi_prop_precache().

int eid_direct[DUNDI_MAX_STACK+1]

Definition at line 23 of file dundi-parser.h.

Referenced by dundi_answer_query(), dundi_parse_ies(), and dundi_prop_precache().

int eidcount

Definition at line 25 of file dundi-parser.h.

Referenced by dundi_answer_entity(), dundi_answer_query(), dundi_parse_ies(), and dundi_prop_precache().

dundi_eid* eids[DUNDI_MAX_STACK+1]

Definition at line 22 of file dundi-parser.h.

Referenced by dundi_answer_entity(), dundi_answer_query(), dundi_parse_ies(), dundi_prop_precache(), and handle_command_response().

struct dundi_encblock* encblock`[read]`

Definition at line 49 of file dundi-parser.h.

Referenced by dundi_parse_ies(), and handle_command_response().

int enclen

Definition at line 50 of file dundi-parser.h.

Referenced by dundi_parse_ies(), and handle_command_response().

unsigned char* encsharedkey

Definition at line 46 of file dundi-parser.h.

Referenced by dundi_parse_ies(), and handle_command_response().

unsigned char* encsig

Definition at line 47 of file dundi-parser.h.

Referenced by dundi_parse_ies(), and handle_command_response().

int expiration

Definition at line 33 of file dundi-parser.h.

Referenced by dundi_parse_ies(), dundi_prop_precache(), and handle_command_response().

struct dundi_hint* hint`[read]`

Definition at line 29 of file dundi-parser.h.

Referenced by dundi_parse_ies(), dundi_prop_precache(), and handle_command_response().

unsigned long keycrc32

Definition at line 48 of file dundi-parser.h.

Referenced by dundi_parse_ies(), and handle_command_response().

unsigned char* pubkey

Definition at line 35 of file dundi-parser.h.

char* q_country

Definition at line 41 of file dundi-parser.h.

Referenced by dundi_parse_ies(), and handle_command_response().

char* q_dept

Definition at line 37 of file dundi-parser.h.

Referenced by dundi_parse_ies(), and handle_command_response().

char* q_email

Definition at line 42 of file dundi-parser.h.

Referenced by dundi_parse_ies(), and handle_command_response().

char* q_ipaddr

Definition at line 44 of file dundi-parser.h.

Referenced by dundi_parse_ies(), and handle_command_response().

char* q_locality

Definition at line 39 of file dundi-parser.h.

Referenced by dundi_parse_ies(), and handle_command_response().

char* q_org

Definition at line 38 of file dundi-parser.h.

Referenced by dundi_parse_ies(), and handle_command_response().

char* q_phone

Definition at line 43 of file dundi-parser.h.

Referenced by dundi_parse_ies(), and handle_command_response().

char* q_stateprov

Definition at line 40 of file dundi-parser.h.

Referenced by dundi_parse_ies(), and handle_command_response().

dundi_eid* reqeid

Definition at line 24 of file dundi-parser.h.

Referenced by dundi_answer_entity(), and dundi_parse_ies().

int ttl

Definition at line 31 of file dundi-parser.h.

Referenced by dundi_answer_entity(), dundi_answer_query(), dundi_parse_ies(), and dundi_prop_precache().

int unknowncmd

Definition at line 34 of file dundi-parser.h.

Referenced by dundi_parse_ies().

int version

Definition at line 32 of file dundi-parser.h.

Referenced by dundi_parse_ies().

The documentation for this struct was generated from the following file:

- dundi-parser.h